# Flutter SDK

## Package List

<table><thead><tr><th width="167">Types</th><th width="285">Package Name</th><th>Descriptions</th></tr></thead><tbody><tr><td><a href="/pages/Q2Rq2J3U3qyZWhwKLqsa">Login Library</a></td><td><code>wepin_flutter_login_lib</code></td><td>Provides functionality for logging into Wepin using OAuth authentication tokens, such as social logins.</td></tr><tr><td><a href="/pages/D7tfcDtHarqeG1Wwe54R">SDK</a></td><td><code>wepin_flutter_widget_sdk</code></td><td>Provides functionality for using the Wepin Widget.</td></tr></tbody></table>

{% hint style="warning" %}
**Migration Guide Notice**\
If you are using a previous version of the Wepin packages, specifically the <mark style="color:blue;">**`wepin_flutter_sdk`**</mark>, it is important to migrate to the current versions of the SDK and Login Library to ensure compatibility and access to the latest features.\
\
**Deprecated Package**

* <mark style="color:blue;">**`wepin_flutter_sdk`**</mark>

**Current Package**

* <mark style="color:blue;">**`wepin_flutter_widget_sdk`**</mark>

\
Please follow the migration guide to transition from the old package to the new ones. You can find the detailed migration guide at the following link:

* [Wepin Flutter Widget SDK Migration Guide](https://github.com/WepinWallet/wepin-flutter-sdk-v1/blob/main/packages/wepin_flutter_widget_sdk/MIGRATIONGUIDE.md)
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/flutter-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
